**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/document-lifecycle-workflows/binder-user-actions/initiate-binder-user-action.md

# Initiate Binder User Action



Initiate a user action. Before initiating, you should retrieve any applicable [entry criteria](/vault-api/api-reference/26.1/document-lifecycle-workflows/document-user-actions/retrieve-document-entry-criteria) for the action.

Only some user action types can be initiated through the API. See [supported user actions](/vault-api/api-reference/26.1/document-lifecycle-workflows/document-user-actions).

The authenticated user must have permission to initiate this action. To check permissions, [Retrieve User Actions](/vault-api/api-reference/26.1/document-lifecycle-workflows/document-user-actions/retrieve-document-user-actions) and check for actions where `executable__v` is `true`.

<Endpoint path="/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/lifecycle_actions/{name__v}" method="PUT"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value on which to initiate the user action. |
| `{major_version}` | The major version number of the binder. |
| `{minor_version}` | The minor version number of the binder. |
| `{name__v}` | The action `name__v` field value to initiate. Retrieve this value from [Retrieve User Action](/vault-api/api-reference/26.1/document-lifecycle-workflows/document-user-actions/retrieve-document-user-actions). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d 'user_control_multiple__c=user%3A10001400&date_control__c=2019-10-31'\
https://myvault.veevavault.com/api/v25.1/objects/binders/17/versions/0/1/lifecycle_actions/start_approval__c


```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "id": 17,
   "workflow_id__v": "401"
}

```
</CodeExample>

---

**Previous:** [Retrieve Binder Entry Criteria](/vault-api/api-reference/26.1/document-lifecycle-workflows/binder-user-actions/retrieve-binder-entry-criteria)  
**Next:** [Initiate Bulk Binder User Actions](/vault-api/api-reference/26.1/document-lifecycle-workflows/binder-user-actions/initiate-bulk-binder-user-actions)